# Uses of Interface
org.opensaml.xacml.policy.RuleType

Packages that use RuleType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of RuleType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type RuleType
Modifier and Type
Method
Description
`List<RuleType>`
PolicyType.`getRules()`
Gets the rules for this policy.

## Uses of RuleType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement RuleType
Modifier and Type
Class
Description
`class`
`RuleTypeImpl`
Implementation for `RuleType`.
Methods in org.opensaml.xacml.policy.impl that return RuleType
Modifier and Type
Method
Description
`RuleType`
RuleTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`RuleType`
RuleTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type RuleType
Modifier and Type
Method
Description
`List<RuleType>`
PolicyTypeImpl.`getRules()`
Gets the rules for this policy.